//
// truss.h  written by Kenji Shimada
//

#ifndef GEPP_H
#define GEPP_H


#include <stdlib.h>
#include <math.h>
#include <iostream.h>
#include <fstream.h>


// Constant Definitions 
#define	MY_NAME     "Kenji Shimada (shimada@cmu.edu)"
#define	TRUSS_WIDTH (0.1)		// The width of a drawn truss member
#define EPS			(0.01)		// The tolerance for zero force


// Function Prototypes 
void	vrml_axes (ofstream &outFile, char* my_name);   
void	vrml_truss (ofstream &outFile, double node1[3], double node2[3], double force);


#endif GEPP_H

